Subject: [Acme] Send "Location" header in key-rollover conflict response.

From: Daniel McCarney <[email-masked]>
Date: Thu, 24 Aug 2017 12:09:19 -0400

Hi folks,

In 7.3.1 "Finding an Account URL Given a Key" the server returns a
"Location" header populated with the account URL of the account associated
with a given account key.

In 7.3.6 "Account Key Roll-over", there is a similar condition in which the
new key specified as part of a rollover request is already in use by an
existing account. Currently the spec says a server SHOULD return status 409
(conflict) and leaves it at that.

I believe for consistency sake and to save an additional round-trip to
learn the account URL that the server SHOULD also return a "Location"
header with the account URL for key rollovers that are in conflict.

I've opened a small PR to add this wording:
https://github.com/ietf-wg-acme/acme/pull/339

Thanks!

- cpu